# Aritma Banking API Version: v3 ## Servers Open Banking API ``` https://bankservice.zdata.no ``` Open Banking API (Dev) ``` https://bankservicedemo.zdata.no ``` ## Security ### implicit Type: oauth2 Authorization URL: https://id.zdata.no/connect/authorize Scopes: - `bankservice`: Access to BankService API ### client_credentials Type: oauth2 ### implicit_dev Type: oauth2 Authorization URL: https://id-dev.zdata.no/connect/authorize Scopes: - `bankservice`: Access to BankService API ### client_credentials_dev Type: oauth2 ## Download OpenAPI description [Aritma Banking API](https://developer.aritma.com/_bundle/apis/banking/v3/openapi/bankservice-openapi.yaml) ## Account ### POST request for new bank integration - [POST /api/v3/accounts/bank](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/account/postbankaccount.md) ### Lists all accounts for a company - [GET /api/v3/accounts/{companyId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/account/getbankaccountlist.md) ### Get account status for creating payments - [GET /api/v3/accounts/{bban}/readiness](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/account/getbankaccountreadinessbyid.md) ### Get account data for a specific account in a specific company - [GET /api/v3/accounts/{companyId}/{bankAccountId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/account/getbankaccountbyid.md) ### Updates bankaccount - [PUT /api/v3/accounts/{companyId}/{bankAccountId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/account/updatebankaccount.md) ### Deletes an account by companyId and accountId - [DELETE /api/v3/accounts/{companyId}/{bankAccountId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/account/deleteaccountbycompanyid.md) ### Changes company on bankaccount - [PUT /api/v3/accounts/{bankAccountId}/companySwitch](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/account/companyswitch.md) ## AccountGroup ### Get all account groups for company - [GET /api/v3/accountgroups/{companyId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/accountgroup/getaccountgroupsforcompany.md) ### Get account group by AccountGroupId - [GET /api/v3/accountgroups/{companyId}/{accountGroupId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/accountgroup/getaccountgroupbyid.md) ### Update account group name - [PUT /api/v3/accountgroups/{companyId}/{accountGroupId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/accountgroup/updateaccountgroup.md) ### Delete account group - [DELETE /api/v3/accountgroups/{companyId}/{accountGroupId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/accountgroup/deleteaccountgroupbycompanyid.md) ### Post new account group - [POST /api/v3/accountgroups](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/accountgroup/addacountgrouptocompany.md) ### Add user to account group - [POST /api/v3/accountgroups/{companyId}/{accountGroupId}/user](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/accountgroup/postuserinaccountgroup.md) ### Remove user from account group - [DELETE /api/v3/accountgroups/{companyId}/{accountGroupId}/user/{userId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/accountgroup/deleteuserinaccountgroup.md) ### Add account to account group - [POST /api/v3/accountgroups/{companyId}/{accountGroupId}/account](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/accountgroup/putaccountinaccountgroup.md) ### Remove account from account group - [DELETE /api/v3/accountgroups/{companyId}/{accountGroupId}/account/{accountId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/accountgroup/deleteaccountinaccountgroup.md) ## Balance ### Get balance for account. - [GET /api/v3/balances/{companyId}/{account}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/balance/getbalance.md) ## Company ### Gets details for all valid companies - [GET /api/v3/companies](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/company/getallcompanies.md): Subject to change. Data may be migrated to another API ### Create new company - [POST /api/v3/companies](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/company/addcompany.md) ### Gets company details - [GET /api/v3/companies/{companyId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/company/getcompanybyid.md): Subject to change. Data may be migrated to another API ### Deactivate company - [DELETE /api/v3/companies/{companyId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/company/deactivatecompany.md) ### Gets company subsidiaries - [GET /api/v3/companies/{companyId}/subsidiaries](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/company/getsubsidiaries.md): Subject to change. Data may be migrated to another API ### Gets company users - [GET /api/v3/companies/{companyId}/users](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/company/getcompanyusers.md): Subject to change. Data may be migrated to another API ## EventGridDeadLetter ### Get dead letter event - [GET /api/v3/events/deadletters/{eventId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgriddeadletter/getdeadletterevent.md) ### Delete dead letter event - [DELETE /api/v3/events/deadletters/{eventId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgriddeadletter/deletedeadletterevent.md) ### Get list of dead letter event metadata for client - [GET /api/v3/events/deadletters](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgriddeadletter/getdeadlettereventsforclient.md) ### Get list of dead letter event metadata for company - [GET /api/v3/events/companies/{companyId}/deadletters](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgriddeadletter/getdeadlettereventsforcompany.md) ### Get list of dead letter event metadata for subscription - [GET /api/v3/events/companies/{companyId}/subscriptions/{subscriptionName}/deadletters](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgriddeadletter/getdeadlettereventsforsubscription.md) ## EventGridSubscription ### Get event subscriptions for company - [GET /api/v3/companies/{companyId}/subscriptions](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgridsubscription/geteventsubscriptionsforcompany.md) ### Get subscription. - [GET /api/v3/companies/{companyId}/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgridsubscription/geteventsubscription.md) ### Create or update event subscription. - [PUT /api/v3/companies/{companyId}/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgridsubscription/createeventgridsubscription.md) ### Delete event subscription - [DELETE /api/v3/companies/{companyId}/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgridsubscription/deleteeventsubscription.md) ### Create or update event subscription for multiple companies. - [PUT /api/v3/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/eventgridsubscription/createeventgridsubscriptionbatch.md) ## Onboarding ### Returns an onboarding instruction on for the provided BIC - [GET /api/v3/onboarding/{bic}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/onboarding/gettemplateashtml.md) ### Get whether approval requirement is activated on account - [GET /api/v3/onboarding/preapproval/{account}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/onboarding/getaccountbalance.md) ## Payment ### Get payments by messageId - [GET /api/v3/payments/{messageId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/getbymessageid.md) ### Get payments by batchId - [GET /api/v3/payments/{companyId}/batches/{batchId}/transactions](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/getpaymentsbybatchid.md) ### Get payment lines by batchId - [GET /api/v3/payments/{companyId}/batches/{batchId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/getpaymentlinesbybatchid.md) ### Get payment by sourceReference - [GET /api/v3/payments/{messageId}/{paymentId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/getpaymentlinebysourcereference.md) ### Get summary of payments for company - [GET /api/v3/payments/{companyId}/summaries](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/getpaymentsbycompany.md) ### Gets booked payments for company - [GET /api/v3/payments/{companyId}/movements](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/getpaymentmovementsbycompany.md) ### Gets booked payments for settlement - [GET /api/v3/payments/{companyId}/batches/{batchId}/movements](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/getpaymentmovementsbymessageid.md) ### Dismiss payments - [PUT /api/v3/payments/{messageId}/dismiss](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/dismisspaymentsbymessageid.md): Tokens provided to this endpoint must use implicit or authorization code grant type flows. ### Approves payments by message id. - [PUT /api/v3/payments/{messageId}/approve](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/approvepaymentsbymessageid.md): Tokens provided to this endpoint must use implicit or authorization code grant type flows. ### Get payment approval data - [GET /api/v3/payments/{messageId}/approve](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/getapprovalsbymessageid.md) ### Submits payments for an account. The AccountNumber MUST be owned by the company and in an account group that the user has access to. - [POST /api/v3/payments/{companyId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/payment/createpaymentsforcompany.md) ## Receivable ### Get incoming payments - [GET /api/v3/receivables/{companyId}/{state}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/receivable/getincomingpayments.md) ### Get receivables for a given file. Only valid with client credentials flow - [GET /api/v3/receivables/{companyId}/batches/{batchId}/transactions](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/receivable/getreceivablesbybatchid.md) ### Change state of all receivables in batch. - [PUT /api/v3/receivables/{companyId}/batches/{batchId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/receivable/putreceivablesbybatch.md) ### Update transaction state - [POST /api/v3/receivables/update](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/receivable/postupdatestate.md) ## Recipients ### Lists all payments recipients for a company - [GET /api/v3/receipt/suppliernotification/{companyId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/recipients/getrecipientsforcompany.md) ### Create new recipient - [POST /api/v3/receipt/suppliernotification/{companyId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/recipients/addrecipienttocompany.md) ### Update recipient - [PUT /api/v3/receipt/suppliernotification/{companyId}/{recipientId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/recipients/updaterecipient.md) ### Delete recipient - [DELETE /api/v3/receipt/suppliernotification/{companyId}/{recipientId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/recipients/deleterecipient.md) ## Services ### POST request for new bank integration - [POST /api/v3/services/bank](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/services/postbankservice.md) ### Gets company services - [GET /api/v3/services/bank/{companyId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/services/getbankservicesforcompany.md) ### Gets company service - [GET /api/v3/services/bank/{companyId}/{serviceId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/services/getbankservicebyid.md) ## Statement ### Returns bank statements for a given company. All statements are given in aggregated form, to get detailed transactions use the transactions link - [GET /api/v3/statements/{companyId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/statement/getstatementsbyaccountanddatespan.md) ### Returns bank statements for a given id in aggregated form. To get detailed transactions use the transactions link - [GET /api/v3/statements/{companyId}/entries/{entryId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/statement/getstatementbystatementid.md) ### Returns all transactions for a given statement. - [GET /api/v3/statements/{companyId}/entries/{entryId}/transactions](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/statement/getstatemententrytransactions.md) ### Updates state of all transactions for a given statement. - [PUT /api/v3/statements/{companyId}/{statementId}/state](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/statement/setstatementstate.md) ### Returns all transactions for a given statement. (deprecated) - [GET /api/v3/statements/{companyId}/{statementId}/transactions](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/statement/getstatementdetails.md): Renamed to /{companyId}/entries/{entryId}/transactions ## User ### Gets user details - [GET /api/v3/users/{userId}](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/user/getbyid.md) ### POST new user - [POST /api/v3/users](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/user/postnewuser.md) ### Sends mail to user for password reset - [POST /api/v3/users/resetpassword](https://developer.aritma.com/apis/banking/v3/openapi/bankservice-openapi/user/requestpasswordchange.md)